# Custom Object Jobs

With Custom Objects service, you can submit a bulk job request to create, update, or delete custom object records in a batch.
If you use Postman, you can import the custom objects endpoints as a collection into your Postman app and try out different requests to learn how the API works.
You can sign up for a free account on the [Postman website](https://identity.getpostman.com/signup) and download the app in case you do not use Postman yet.
Note that the Custom Object Jobs API is versioned by `Zuora-Version` in the request header. The response may be different for the same request with a different API version. Specify `Zuora-Version` in the request header if you expect a specific response schema.

 - [Error handling](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/error-handling.md): ### Error handling If the Custom Objects API call fails, an error code will be returned in the response body. See Custom Objects API error code for details.
 - [POST /objects/jobs](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/post_customobjectbulkjob.md): Submits a bulk job request for a bulk operation on the specified custom object records. A succcessful call returns a newly created bulk job. The job ID can be used to poll the job status or upload the
 - [GET /objects/jobs](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_allcustomobjectbulkjobs.md): Lists all custom object bulk jobs submitted by your tenant.
 - [GET /objects/jobs/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_customobjectbulkjob.md): Retrieves the custom object bulk job details by job ID. Only the users that have the "View Custom Objects" permission can retrieve custom object bulk jobs. See [Platform Permissions](https://docs.zuor
 - [POST /objects/jobs/{id}/files](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/post_uploadfileforcustomobjectbulkjob.md): Uploads a `.csv` file for a custom object bulk job to create or update custom object records. The job must be in `pending` status. Only one file is allowed per job. Each file supports only one type of
 - [GET /objects/jobs/{id}/errors](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_customobjectbulkjoberrors.md): Lists all errors for a custom object bulk job.
 - [PATCH /objects/jobs/{id}/cancel](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/patch_customobjectbulkjob.md): Cancel a custom object bulk job. Note that you can cancel a custom object bulk job only if the job status is `accepted` or `pending`.
